Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have an ATi Radeon HD 3650 AGP, which does not support 12.8 and 12.9 drivers. The latest supported version is 12.4, but Catalyst 12.4 does not support Ubuntu 12.10. How can I downgrade to 12.4 or 12.6 Catalyst drivers in Ubuntu 12.10?

share|improve this question
    
Please edit your question - HD 3650 IS supported by Catalyst 12.6. I'm using it on Ubuntu 12.04 LTS. You can verify this by going to the official AMD download page support.amd.com/us/gpudownload/Pages/index.aspx After you select HD 3650 you will be offered driver version 12.6 download. You probably saw the information about 12.4 being the last one that supports HD 3650 on some outdated Wiki. –  Bucic Oct 19 '12 at 9:52
    
@Bucic Edited, but official Catalyst 12.6 didn't work for me. Maybe not working with AGP card or installation went wrong? –  nastys Oct 19 '12 at 14:58
    
Weird. I have the 3650 in my Lenovo Thinkpad T500. –  Bucic Oct 19 '12 at 18:23
    
@nastys: The answer is here askubuntu.com/a/129200/53498 –  Stephen Myall Oct 22 '12 at 15:44

2 Answers 2

I haven't tried it yet but I found this PPA.

The latest fglrx that supports pre-HD5000 GPUs, is Catalyst 12.6 Legacy.

But it doesn't support Ubuntu 12.10 from what I have heard. I am also concerned about this as I want to update to Quantal but fgrlx is a must have for me. I still don't have Quantal so I could not test it. Test it at your own risk.

share|improve this answer
1  
I installed the drivers from the PPA but no graphics acceleration –  JoZ3 Oct 17 '12 at 3:58
    
Thanks, I'll try it when Quantal is released. –  nastys Oct 17 '12 at 20:09
    
Do I have to downgrade Xorg and other packages? –  nastys Oct 19 '12 at 15:01
1  
Tomasz Makarewicz's PPA tested on Lenovo Thinkpad T500 with AMD Radeon HD3650. The driver installed fine. Apparently it required downgrading Xorg but it's all done automatically. I haven't conducted any performance tests. –  Bucic Oct 22 '12 at 17:12
1  
it worked for me, on Ubuntu 12.10! Sony Vaio VGN-FW31E with Mobility Radeon HD 3400 Series –  Pisu Oct 29 '12 at 6:17

this ppa works for me I have Mobility Radeon HD 3650

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.